import * as React from "react";
import { SortDirection } from "@dccs/react-table-plain";
import { OnLoadData } from ".";
export interface IDataGridState {
    total: number;
    setTotal: (total: number) => void;
    page: number;
    setPage: (page: number) => void;
    rowsPerPage: number;
    setRowsPerPage: (rpp: number) => void;
    orderBy: string | undefined;
    setOrderBy: (orderBy: string) => void;
    sort: SortDirection | undefined;
    setSort: (sort: SortDirection | undefined) => void;
    filter: {
        [key: string]: any;
    } | undefined;
    setFilter: (filter: {
        [key: string]: any;
    } | undefined) => void;
    allowLoad: boolean;
    setAllowLoad: React.Dispatch<React.SetStateAction<boolean>>;
    error: boolean;
    loading: boolean;
    data: any[];
    reload: () => void;
    handleChangePage(p: number): void;
    handleChangeRowsPerPage(rows: number): void;
    handleChangeOrderBy(ob: string): void;
    handleChangeFilter(ob: string, value: any): void;
    load(): void;
}
export interface IPersistState {
    store: "localStorage" | "sessionStorage";
    uniqueID: string;
}
export interface IUseDataGridProps {
    onLoadData: OnLoadData;
    initialRowsPerPage?: number;
    initialOrderBy?: string;
    initialSort?: SortDirection;
    initialLoad?: boolean;
    persistState?: IPersistState;
}
export declare function useDataState(props: IUseDataGridProps): IDataGridState;
